Skip to main content
Assert a relationship

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Encoding
enum<string>
Available options:
base64,
gzip, base64

Path Parameters

artifact_kind
string
required
artifact_id
string
required

Body

application/json
rel_type
string
required
to_id
string
required
attributes
object | null
confidence
number<double> | null
label
string | null
role
string | null
weight
number<double> | null

Response

HTTP 201 response.

direction
string
required
provenance
string
required
rel_type
string
required
relationship_status
string
required
attributes
object | null
confidence
number<double> | null
from
object | null
label
string | null
role
string | null
to
object | null
weight
number<double> | null